<?php 
   ob_start ("ob_gzhandler");
   header ("content-type: text/css; charset: UTF-8");
   header ("cache-control: must-revalidate");
   $offset = 60 * 60;
   $expire = "expires: " . gmdate ("D, d M Y H:i:s", time() + $offset) . " GMT";
   header ($expire);
?>
/*----------------------------------------------------------------------------

Menu Style Sheet - Split

Template Name:   Rational Magic
Version:         1.0
Author:          JoomlaJunkie
Support:         http://www.joomlajunkie.com/members-forum/
Found a bug?     http://bugs.joomlajunkie.com
Template Guide:  http://www.joomlajunkie.com/template-guides.html

NOTE: Always make a backup of your stylesheets before editing!

----------------------------------------------------------------------------*/

/*menu split */
div.split #main {
	background: transparent url(../images/sub-bg-dropline.png) repeat-x scroll center top;
	padding-bottom: 13px;
}
div.split #left,
div.split #content, 
div.split #right {
	margin-top: 40px;
}
#jjSplitmm ul#jjSplit {
	margin: 0;
	padding: 0;
	list-style: none;
	white-space: nowrap;
	position: relative;
	line-height: 42px;
	width: 100%;
	font-family: verdana, Arial, Helvetica, sans-serif;
	top: 3px;
	display: block;
}
ul#jjSplit  li {
	margin: 0 3px;
	float: left;
	display: block;
	padding: 0;
}
ul#jjSplit  li span {
	color: white;
}
ul#jjSplit  li a:link, 
ul#jjSplit  li a:hover, 
ul#jjSplit  li a:visited {
	overflow: hidden;
	line-height: 42px;
	height: 42px;
	font-weight: bold;
	font-size: 14px;
	font-family: verdana, Arial, Helvetica, sans-serif;
	background-color: transparent;
	display: block;
	float: left;
	/*IE Whitespace Bug*/
    clear: left;
	/*IE Whitespace Bug*/
}
ul#jjSplit  li span {
	width: auto;
	padding-right: 10px;
	padding-left: 10px;
	position: relative;
	cursor: pointer;
	/*opera*/
    height: auto;
}
ul#jjSplit  li#sfhover, 
ul#jjSplit  li.jjNav-child-active,
ul#jjSplit  li.jjNav-last-child-active, 
ul#jjSplit  li.jjNav-first-child-active, 
ul#jjSplit  li.jjNav-first-active, 
ul#jjSplit  li.jjNav-last-active, 
ul#jjSplit  li.jjNav-active {
	background: transparent url(../images/menu-top-right.png) right top no-repeat;
	line-height: 42px;
	height: 42px;
}
ul#jjSplit  li#sfhover span, 
ul#jjSplit  li#sfhover a:hover,
ul#jjSplit  li.jjNav-child-active span,
ul#jjSplit  li.jjNav-last-child-active span, 
ul#jjSplit  li.jjNav-first-child-active span, 
ul#jjSplit  li.jjNav-first-active span, 
ul#jjSplit  li.jjNav-last-active span, 
ul#jjSplit  li.jjNav-active span {
	color: #222;
}
ul#jjSplit  li#sfhover a:link, 
ul#jjSplit  li#sfhover a:visited, 
ul#jjSplit  li#sfhover a:hover,
ul#jjSplit  li a.active:link, 
ul#jjSplit  li a.active:visited, 
ul#jjSplit  li a.active:hover {
	background: transparent url(../images/menu-top-left.png) left top no-repeat;
	color: #222;
	line-height: 42px;
	height: 42px;
}
#jjSplit  li ul li#sfhover {
	height: 30px;
	line-height: 30px;
}
ul#jjSplit  li a:hover span {
	/*for ie7*/
    float: left!important;
	float: none;
	/*cancel float for ie6 main items disappearing*/
}
#jjNav #jjSplit  .jjNav-first-active ul, 
#jjNav #jjSplit  .jjNav-last-active ul, 
#jjNav #jjSplit  .jjNav-active ul, 
#jjNav #jjSplit  .jjNav-first-child-active ul, 
#jjNav #jjSplit  .jjNav-last-child-active ul, 
#jjNav #jjSplit  .jjNav-child-active ul {
	height: 30px;
	line-height: 30px;
	width: 960px;
	top: 42px;
	left: 0;
	display: block;
	position: absolute;
	background: url(../images/sub-bg-dropline-pods.png) repeat-x;
	border-bottom: 0px solid #EBE7D1;
	z-index: 20;
}
#jjSplit  li#sfhover.separator,
#jjSplit  li#sfhover.separator span {
	background: none;
	color: white;
	cursor: default;
}
/*NL*/
#jjSplitsm  ul#jjSplitsub {
	height: 30px;
	display: block;
}
#jjSplitsm ul#jjSplitsub li a:link span,
#jjSplitsm ul#jjSplitsub li a:visited span,
#jjSplitsm ul#jjSplitsub li a:hover span,
#jjSplitsm ul#jjSplitsub li a:link,
#jjSplitsm ul#jjSplitsub li a:visited,
#jjSplitsm ul#jjSplitsub li a:hover {
	background: none;
	line-height: 30px;
	height: 30px;
	padding-left: 12px;
	padding-right: 10px;
	bordcer: 1px solid;
	color: #444;
	font-size: 12px;
	font-weight: bolder;
}
ul#jjSplitsub li {
	float: left;
	line-height: 30px;
	height: 30px;
}
ul#jjSplitsub li#sfhover a:link span,
ul#jjSplitsub li#sfhover a:visited span,
ul#jjSplitsub li#sfhover a:hover span,
ul#jjSplitsub li#sfhover a:link,
ul#jjSplitsub li#sfhover a:visited,
ul#jjSplitsub li#sfhover a:hover,
ul#jjSplitsub li a.active:link,
ul#jjSplitsub li a.active:visited,
ul#jjSplitsub li a.active:hover,
ul#jjSplitsub li a,
ul#jjSplitsub li#sfhover,
ul#jjSplitsub li.jjNav-child-active,
ul#jjSplitsub li.jjNav-last-child-active, 
ul#jjSplitsub li.jjNav-first-child-active, 
ul#jjSplitsub li.jjNav-first-active, 
ul#jjSplitsub li.jjNav-last-active, 
ul#jjSplitsub li.jjNav-active {
	background: none;
	line-height: 30px;
	height: 30px;
}
ul#jjSplitsub li,
ul#jjSplitsub li#sfhover,
ul#jjSplitsub li.jjNav-child-active,
ul#jjSplitsub li.jjNav-last-child-active, 
ul#jjSplitsub li.jjNav-first-child-active, 
ul#jjSplitsub li.jjNav-first-active, 
ul#jjSplitsub li.jjNav-last-active, 
ul#jjSplitsub li.jjNav-active {
	background: url(../images/dropline-sub-item.gif) no-repeat left;
}
ul#jjSplitsub li.jjNav-first-subchild,
ul#jjSplitsub li.jjNav-first {
	background: none;
	margin-left: -15px;
}
ul#jjSplitsub li {
	margin: 0;
	padding: 0;
}
ul#jjSplitsub li.empty,
ul#jjSplitsub li.empty,
ul#jjSplitsub li#sfhover.empty {
	background: none
}
ul#jjSplitsub li a:link span,
ul#jjSplitsub li a:visited span {
	color: #345C82;
}
#jjSplitsm ul#jjSplitsub li a:link,
#jjSplitsm ul#jjSplitsub li a:visited {
	font-family: verdana,Arial,Helvetica,sans-serif;
}
ul#jjSplitsub li a:hover span,
ul#jjSplitsub li a.active:link span,
ul#jjSplitsub li a.active:visited span {
	text-decoration: underline;
}
ul#jjSplitsub {
	height: 30px;
	line-height: 30px;
	width: 960px;
	overflow: hidden;
	list-style: none;
	position: absolute;
	top: 45px;
}
ul#jjSplitsub li.jjNav a span {
	font-family: verdana,Arial,Helvetica,sans-serif;
}
.split #jjNav #jjSplitsm ul#jjSplitsub li a:link span,
.split #jjNav #jjSplitsm ul#jjSplitsub li a:visited span {
	font-weight: bold;
}
ul#jjSplitsub li.separator,
ul#jjSplitsub li#sfhover.separator {
	background: none;
	font-family: verdana,Arial,Helvetica,sans-serif;
}
ul#jjSplitsub li.separator,
ul#jjSplitsub li.separator span {
	padding: 0 10px;
}