<?php

class jjmenu
{
	private static $type = null;
	private static $get = null;
	private static $params = null;
	function render(&$params, $type = null, $get = null)
	{
		self::$params = $params;
		
		if (is_null($type)) {
			self::$type = $params->get('menuType');	
		} else {
			self::$type = $type;
		}
		
		if (is_null($get)) {
			self::$get = $params->get('menuName');
		} else {
			self::$get = $get;
		}
		
		switch ( self::$type )
		{
			case 'suckerfish':
			case 'superfish':
			case 'split':
			case 'dropline':
			case 'module':
				jjmenu::mosShowSwtichMenu($params, $type);
				break;
			default:
				break;
		}
	}
	
	function getScripts(&$el)
	{
		
		$base = $el->baseurl;
		
		if (is_null($type)) {
			self::$type = $el->params->get('menuType');	
		} else {
			self::$type = $type;
		}
		
		if (is_null($get)) {
			self::$get = $el->params->get('menuName');
		} else {
			self::$get = $get;
		}
		
		$script = '<script type="text/javascript" src="'.$base.'/templates/'.$el->template.'/js/loadevent.js"></script>

<script type="text/javascript">

<!--//--><![CDATA[//><!--

sfHover = function() {

	var sfEls = document.getElementById("jjNav").getElementsByTagName("li");

	for (var i=0; i<sfEls.length; i++) {

		

    sfEls[i].onmouseover=function() {

			this.id="sfhover";

		}

		sfEls[i].onmouseout=function() {

			this.id="";

		}

	}

}

addLoadEvent(sfHover);



//--><!]]>

</script>
';

		switch (self::$type) {
			case 'superfish':
				
				$script .= '
<script type="text/javascript" src="'.$base.'/templates/'.$el->template.'/js/jquery-1.2.2.min.js"></script>
<script type="text/javascript" src="'.$base.'/templates/'.$el->template.'/js/superfish.js"></script>

<script type="text/javascript">
<!--//--><![CDATA[//><!--
jQuery.noConflict();
jQuery(document).ready(function(){
	jQuery("ul#jjSuperfish").superfish( { animation : { opacity:"show", height:"show" } } );
});
//--><!]]>
</script>'; 
			
				break;
		
			default:
				break;
		}
		echo $script;
		return true;
	}
	
	function mosShowSwtichMenu(& $params)
	{
		$menu = & JSite::getMenu();
		$user = & JFactory::getUser();

		//get menu items
		$rows = $menu->getItems('menutype', self::$get);
			
		$children = array();

		foreach ($rows as $v ) {
			$pt = $v->parent;
			$list = @$children[$pt] ? $children[$pt] : array();
			array_push( $list, $v );
		
			$children[$pt] = $list;
		}
		
		
		// second pass - collect 'open' menus
		$open = array( $_GET['Itemid'] );
		$count = 20; // maximum levels - to prevent runaway loop
		$id = $Itemid;
		while (--$count) {
			if (isset($rows[$id]) && $rows[$id]->parent > 0) {
				$id = $rows[$id]->parent;
				$open[] = $id;
			} else {
				break;
			}
		}
		
//		var_dump($children);
		
		$class_sfx = null;

		switch (self::$type) {
			case 'suckerfish':
				echo "<div id=\"jjNav\">\n";
				echo "<ul class=\"cfix\" id=\"jjSuckerfish\">";
				self::mosRecurseSuckerFishMenu( 0, 0, $children, $open, self::$params );
				echo "</ul></div>";
				break;
			case 'superfish':
				echo "<div id=\"jjNav\">\n";
				echo "<ul class=\"cfix\" id=\"jjSuperfish\">";
				self::mosRecurseSuperFishMenu( 0, 0, $children, $open, self::$params );
				echo "</ul></div>";
				break;			
			case 'split':
				echo "<div id=\"jjNav\">\n";
				echo "<ul class=\"cfix\" id=\"jjSplit\">";
				self::mosRecurseSplitMenu( 0, 0, $children, $open, $params );
				echo "</ul></div>";
				break;
			case 'dropline':
				echo "<div id=\"jjNav\">\n";
				echo "<ul class=\"cfix\" id=\"jjDropline\">";
				self::mosRecurseLineMenu( 0, 0, $children, $open, $params );
				echo "</ul></div>";
				break;
			case 'modulemenu':
			default:
				echo "<div id=\"jjNav\">\n";
				echo "<ul class=\"cfix\" id=\"jjModule\">";
				self::mosRecurseListMenu( 0, 0, $children, $open, $params );
				echo "</ul></div>";
				break;
		}

		return true;
	}

	
	/**
	* Utility function for writing a menu link
	*/
	function mosGetMenuLink($mitem, $level = 0, & $params, $open = null)
	{
		global $Itemid;
		$txt = '';
	
		// Menu Link is a special type that is a link to another item
		if ($mitem->type == 'menulink')
		{
			$menu = &JSite::getMenu();
			if ($tmp = $menu->getItem($mitem->query['Itemid'])) {
				$name = $mitem->name;
				$mid = $mitem->id;
				$parent = $mitem->parent;
				$mitem = clone($tmp);
				$mitem->name = $name;
				$mitem->mid = $mid;
				$mitem->parent = $parent;
			} else {
				return;
			}
		}
	
		switch ($mitem->type)
		{
			case 'separator' :
				break;
	
			case 'url' :
				if (eregi('index.php\?', $mitem->link)) {
					if (!eregi('Itemid=', $mitem->link)) {
						$mitem->link .= '&amp;Itemid='.$mitem->id;
					}
				}
				break;
	
			default :
				$mitem->link = 'index.php?Itemid='.$mitem->id;
				break;
		}
	
		// Active Menu highlighting
		$current_itemid = intval( $Itemid );
		if (!$current_itemid) {
			$id = '';
		} else {
			if ($current_itemid == $mitem->id) {
				$id = 'class="active" ';
			} else {
				if ($params->get('activate_parent') && isset ($open) && in_array($mitem->id, $open)) {
					$id = 'class="active" ';
				} else {
					if ($mitem->type == 'url' && self::ItemidContained($mitem->link, $current_itemid)) {
						$id = 'class="active" ';
					} else {
						$id = '';
					}
				}
			}
		}
	
		if ($params->get('full_active_id'))
		{
			// support for `active_menu` of 'Link - Url' if link is relative
			if ($id == '' && $mitem->type == 'url' && strpos('http', $mitem->link) === false) {
				$url = array();
				parse_str($mitem->link, $url);
				if (isset ($url['Itemid'])) {
					if ($url['Itemid'] == $current_itemid) {
						$id = 'class="active" ';
					}
				}
			}
		}
	
		// replace & with amp; for xhtml compliance
		$menu_params = new stdClass();
		$menu_params = new JParameter($mitem->params);
		$menu_secure = $menu_params->def('secure', 0);
	
		if (strcasecmp(substr($mitem->link, 0, 4), 'http')) {
			$mitem->url = JRoute::_($mitem->link, true, $menu_secure);
		} else {
			$mitem->url = $mitem->link;
		}
	
		
	
		// replace & with amp; for xhtml compliance
		// remove slashes from excaped characters
		$mitem->name = stripslashes(htmlspecialchars($mitem->name));
	
		switch ($mitem->browserNav)
		{
			// cases are slightly different
			case 1 :
				// open in a new window
				if ( $level == 0 ) {
				$mitem->name = "<span>$mitem->name</span>";
			} 
				$txt = '<a href="' . $mitem->url . '" target="_blank"  ' . $id . '>' . $mitem->name . '</a>';
				break;
	
			case 2 :
				// open in a popup window
				$txt = "<a href=\"#\" onclick=\"javascript: window.open('" . $mitem->url . "', '', 'toolbar=no,location=no,status=no,menubar=no,scrollbars=yes,resizable=yes,width=780,height=550'); return false\" class=\"$menuclass\" " . $id . ">" . $mitem->name . "</a>\n";
				break;
	
			case 3 :
				// don't link it
				$txt = '<a ' . $id . '>' . $mitem->name . '</a>';
				break;
	
			default : // formerly case 2
				// open in parent window
					if ( $level == 0 ) {
				$mitem->name = "<span>$mitem->name</span>";
			} 
				
				$txt = '<a href="' . $mitem->url . '"  ' . $id . '>' . $mitem->name . '</a>';
				break;
		}
	
		if ($params->get('menu_images'))
		{
			$menu_params = new stdClass();
			$menu_params = new JParameter($mitem->params);
	
			$menu_image = $menu_params->def('menu_image', -1);
			if (($menu_image <> '-1') && $menu_image) {
				$image = '<img src="'.JURI::base(true).'/images/stories/' . $menu_image . '" border="0" alt="' . $mitem->name . '"/>';
				if ($params->get('menu_images_align')) {
					$txt = $txt . ' ' . $image;
				} else {
					$txt = $image . ' ' . $txt;
				}
			}
		}
	
		return $txt;
	}

	/**
	* Search for Itemid in link
	*/
	function ItemidContained($link, $Itemid)
	{
		$link = str_replace('&amp;', '&', $link);
		$temp = explode("&", $link);
		$linkItemid = "";
		foreach ($temp as $value) {
			$temp2 = explode("=", $value);
			if ($temp2[0] == "Itemid") {
				$linkItemid = $temp2[1];
				break;
			}
		}
		if ($linkItemid != "" && $linkItemid == $Itemid) {
			return true;
		} else {
			return false;
		}
	}

	/**
	 * SuckerFish menu
	 */
	function mosRecurseSuckerFishMenu( $id, $level, &$children, $open ) {
		global $Itemid;
		global $HTTP_SERVER_VARS, $mosConfig_live_site;

		$params = self::$params;
		
		if (@$children[$id]) 
		{
			$elements = count($children[$id]);
			$counter = 0;

			foreach ($children[$id] as $row)
			{
				$counter++;
				$separator = false;

				switch ($row->type) 
				{
					case 'separator':
						// do nothing
						$row->link = "seperator";
						$separator = true;
						break;

					case 'url':
						if ( eregi( 'index.php\?', $row->link ) )
						{
							if ( !eregi( 'Itemid=', $row->link ) )
							{
								$row->link .= '&Itemid='. $row->id;
							}
						}
						break;

					default:
						if ( !eregi( 'Itemid=', $row->link ) )
						{
							$row->link .= "&Itemid=$row->id";
						}
						break;
				}

//				$ajtemid=mosGetParam($_REQUEST, "Itemid", '');
				$ajtemid = $Itemid;
				$active = 0;

				if($children[$row->id])
				{
					foreach( $children[$row->id] as $subm)
					{
						if ( $subm->id==$ajtemid ) {
							$active = 1;
						}
					}
				}

				$liclass = $ulclass = '';
				$havechild = is_array($children[$row->id]);

				$classname = "jjNav";

				if ( $counter == 1 ) {
					$classname .= "-first";
				} else if ( $counter == $elements ) {
					$classname .= "-last";
				}

				if ( $havechild ) 
				{
					if ( $level == 0) {
						$classname .= "-child";
					} else {
						$classname .= "-subchild";
					}
				}

				if ( $row->id==$ajtemid || $active ) {
					$classname .= "-active";
				}

				$class = "";

				if ( !empty($classname) ) {
					$class = " class=\"".$classname."\"";
				}


				if ($separator) {
					echo "<li". $class ."><span class='separator'>".$row->name."</span></li>";
				} else if ( $havechild ) {
					echo "<li". $class .">".self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active);
					echo "\n";
					echo "<ul>\n";
					self::mosRecurseSuckerFishMenu( $row->id, $level+1, $children, $open );
					echo "</ul>\n";
					echo "</li>\n";
				} else {
					echo "<li". $class .">" . self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active) . "</li>";
				}
			}
		}
	} /* end SuckerFish menu*/

	/**
	 *  SuperFish menu
	 */
	function mosRecurseSuperFishMenu( $id, $level, &$children, $open ) {
		global $Itemid;
		global $HTTP_SERVER_VARS, $mosConfig_live_site;
	
		if (@$children[$id]) {
			
			$elements = count($children[$id]);
			$counter = 0;
	
			foreach ($children[$id] as $row) 
			{
				$counter++;
				
				unset($separator);
				$separator = false;
	
				switch ($row->type) {
					case 'separator':
						// do nothing
						$row->link = "seperator";
						$separator = true;
						break;
	
					case 'url':
						if ( eregi( 'index.php\?', $row->link ) ) 
						{
							if ( !eregi( 'Itemid=', $row->link ) ) 
							{
								$row->link .= '&Itemid='. $row->id;
							}
						}
						break;
	
					default:
						if ( !eregi( 'Itemid=', $row->link ) ) 
						{
							$row->link .= "&Itemid=$row->id";
						}
						break;
				}
				
//				$ajtemid=mosGetParam($_REQUEST, "Itemid", '');
				$ajtemid = $Itemid;
	//			if ($level==0)
	//			{
					$active=0;
	
					if($children[$row->id])
					{
						foreach( $children[$row->id] as $subm)
						{
							if ( $subm->id==$ajtemid ) {
								$active=1;
							}
						}
					}
					
					$havechild = is_array( $children[$row->id] );
					
					$classname = "jjNav";
					
					if ( $havechild ) {
						if ( $level == 0) {
							$classname .= "-child";
						} else {
							$classname .= "-subchild";
						}
					}
					
					if ( $counter == 1 ) {
						$classname .= "-first";
					} else if ( $counter == $elements ) {
						$classname .= "-last";
					}	
					
					
					if ( $row->id==$ajtemid || $active )
					{
						$classname .= "-active";
					}
	
					$class = "";
					if ( !empty($classname) ) {
						$class = " class=\"".$classname."\"";
					}
					if ($separator) {
						echo "<li". $class ."><span class='separator'>".$row->name."</span></li>";
					} else if ( $havechild ) {
						echo "<li". $class .">".self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active);
						echo "\n";
						echo "<ul>\n";	
						self::mosRecurseSuperFishMenu( $row->id, $level+1, $children, $open );
						echo "</ul>\n";
						echo "</li>\n";
					} else {
						echo "<li". $class .">" . self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active) . "</li>";
					}
	//			}
			}
		}
	}	/* end SuperFish menu */
	
	/**
	 *  Split Menu 
	 */
	function mosRecurseSplitMenu( $id, $level, &$children, $open ) {
		global $Itemid;
		global $HTTP_SERVER_VARS, $mosConfig_live_site;
	
//		$openid = $ajtemid = mosGetParam($_REQUEST, "Itemid", '');
		$openid = $ajtemid = $Itemid;
		
		echo "<div id=\"jjSplitmm\">\n";
		if ( @$children[$id] ) 
		{		
			echo "<ul id=\"jjSplit\" class=\"cfix\">\n";
			
			$elements = count($children[$id]);
			$counter = 0;
				
			foreach ($children[$id] as $row) 
			{
				$counter++;
				
				if ( @$children[$row->id] ) 
				{
					foreach ($children[$row->id] as $tmp) 
					{
						if ($tmp->id == $ajtemid) 
						{
							$openid = $row->id;
							$active = true;	
						}
					}				
				}
				
				unset($separator);
				$separator = false;
				
				switch ($row->type) 
				{
					case 'separator':
						// do nothing
						$row->link = "seperator";
						$separator = true;
						break;
	
					case 'url':
						if ( eregi( 'index.php\?', $row->link ) ) 
						{
							if ( !eregi( 'Itemid=', $row->link ) ) 
							{
								$row->link .= '&Itemid='. $row->id;
							}
						}
						break;
	
					default:
						if ( !eregi( 'Itemid=', $row->link ) ) 
						{
							$row->link .= "&Itemid=$row->id";
						}
						break;
				}
	
	
				$ajtemid = $Itemid;
				if ( $level == 0 )
				{
//					$ajtemid = mosGetParam($_REQUEST, "Itemid", '');
	
					$active = 0;
	
					if($children[$row->id])
					{
						foreach ( $children[$row->id] as $subm )
						{
							if( $subm->id==$ajtemid ) 
							{
								$active=1;
							}
						}
					}
					
					$havechild = is_array($children[$row->id]);
					
					$classname = "jjNav";
					
					if ( $havechild ) {
						$classname .= "-child";
					}
					
					
					if ( $counter == 1 ) {
						$classname .= "-first";
					} else if ( $counter == $elements ) {
						$classname .= "-last";
					}	
					
					if ( $row->id==$ajtemid || $active )
					{
						$classname .= "-active";
					}
	
					$class = "";
					if ( !empty($classname) ) {
						$class = " class=\"".$classname."\"";
					}
					
					if ($separator) {
						echo "<li". $class ."><span class='separator'>".$row->name."</span></li>";
					} else {
						echo "<li". $class .">" . self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active) . "</li>";	
					}
				}
	
			}
			echo "</ul>\n";
	
		}
		
		echo "</div>\n";
		
		if ( @$children[$openid] ) 
		{		
			echo "<div id=\"jjSplitsm\">\n";
			echo "<ul id=\"jjSplit\" class=\"cfix\">\n";
			
			$elements = count($children[$id]);
			$counter = 0;
	
			foreach ($children[$openid] as $row) 
			{
				$counter++;
				$separator = false;
	
				switch ($row->type) 
				{
					case 'separator':
						// do nothing
						$row->link = "seperator";
						$separator = true;
						break;
	
					case 'url':
						if ( eregi( 'index.php\?', $row->link ) ) 
						{
							if ( !eregi( 'Itemid=', $row->link ) ) 
							{
								$row->link .= '&Itemid='. $row->id;
							}
						}
						break;
	
					default:
						if ( !eregi( 'Itemid=', $row->link ) ) 
						{
							$row->link .= "&Itemid=$row->id";
						}
						break;
				}
	
	//			if ( $level == 0 )
	//			{
//					$ajtemid = mosGetParam( $_REQUEST, "Itemid", '' );
	
					$ajtemid = $Itemid;
					$active = 0;
	
					if ( $children[$row->id] )
					{
						foreach ( $children[$row->id] as $subm )
						{
							if( $subm->id==$ajtemid ) 
							{
								$active = 1;
							}
						}
					}
					
					$havechild = is_array($children[$row->id]);
					
					$classname = "jjNav";
					
					if ( $havechild ) {
						$classname .= "-subchild";
					}
					
					if ( $counter == 1 ) {
						$classname .= "-first";
					} else if ( $counter == $elements ) {
						$classname .= "-last";
					}	
					
					if ( $row->id==$ajtemid || $active )
					{
						$classname .= "-active";
					}
	
					$class = "";
					if ( !empty($classname) ) {
						$class = " class=\"".$classname."\"";
					}
					
					if ($separator) {
						echo "<li". $class ."><span class='separator'>".$row->name."</span></li>";
					} else {
						echo "<li". $class .">" . self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active) . "</li>";	
					}
					
	//			}
	
			}
			echo '</ul>';
			
			echo "</div>";
	
		}
	} /* End Split Menu */
	
	/**
	 *  DropLine Menu 
	 */
	function mosRecurseLineMenu( $id, $level, &$children, $open ) {
		global $Itemid;
		global $HTTP_SERVER_VARS, $mosConfig_live_site;
	
		if (@$children[$id]) {
			
			$elements = count($children[$id]);
			$counter = 0;
	
			foreach ($children[$id] as $row) 
			{
				$counter++;
				
				unset($separator);
				$separator = false;
	
				switch ($row->type) {
					case 'separator':
						// do nothing
						$row->link = "seperator";
						$separator = true;
						break;
	
					case 'url':
						if ( eregi( 'index.php\?', $row->link ) ) 
						{
							if ( !eregi( 'Itemid=', $row->link ) ) 
							{
								$row->link .= '&Itemid='. $row->id;
							}
						}
						break;
	
					default:
						if ( !eregi( 'Itemid=', $row->link ) ) 
						{
							$row->link .= "&Itemid=$row->id";
						}
						break;
				}
				
				$ajtemid = $Itemid;
	
				if ($level==0)
				{
//					$ajtemid=mosGetParam($_REQUEST, "Itemid", '');
	
					$active=0;
	
					if($children[$row->id])
					{
						foreach( $children[$row->id] as $subm)
						{
							if ( $subm->id==$ajtemid ) {
								$active=1;
							}
						}
					}
					
					$havechild = is_array($children[$row->id]);
					
					$classname = "jjNav";
					
					if ( $havechild ) {
						if ( $level == 0) {
							$classname .= "-child";
						} else {
							$classname .= "-subchild";
						}
					}
					
					if ( $counter == 1 ) {
						$classname .= "-first";
					} else if ( $counter == $elements ) {
						$classname .= "-last";
					}	
					
					if ( $row->id==$ajtemid || $active )
					{
						$classname .= "-active";
					}
	
					$class = "";
					if ( !empty($classname) ) {
						$class = " class=\"".$classname."\"";
					}
					
					if ($separator) {
						echo "<li". $class ."><span class='separator'>".$row->name."</span></li>";
					} else if ($havechild) 
					{
					    echo "<li". $class .">".self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active, true);
						echo "\n";
						echo "<!--[if IE 7]><!--></a><!--<![endif]--><!--[if lte IE 6]><table><tr><td><![endif]-->\n";
						echo "<ul>\n";	
						self::mosRecurseLineMenu( $row->id, $level+1, $children, $open );
						echo "</ul>\n";
						echo "<!--[if lte IE 6]></td></tr></table></a><![endif]-->\n";
						echo "</li>\n";
					}
					else
					{
					    echo "<li". $class .">".self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active, true);
						echo "\n";
						echo "<!--[if IE 7]><!--></a><!--<![endif]--><!--[if lte IE 6]><table><tr><td><![endif]-->\n";
						echo "<ul>\n";	
						echo "<li></li>";
						echo "</ul>\n";
						echo "<!--[if lte IE 6]></td></tr></table></a><![endif]-->\n";
						echo "</li>\n";
					}
					//echo "</li>\n";
				} else if ($level == 1) {
//					$ajtemid=mosGetParam($_REQUEST, "Itemid", '');
					
					$havechild = is_array($children[$row->id]);
					
					$classname = "";
					
					if ( $level >= 1 ) {
						if ( $counter == 1 ) {
							$classname .= "-first";
						} else if ( $counter == $elements ) {
							$classname .= "-last";
						}	
					}
					
					if ( $row->id==$ajtemid )
					{
						$classname .= "-active";
					}
	
					$class = "";
					if ( !empty($classname) ) {
						$class = " class=\"".$classname."\"";
					}
					echo "<li".$class.">". self::mosGetMenuLink( $row, $level, self::$params, $open=null) . "</li>\n";
				}
	
			}
		}
	} /* End of DropLine Menu */
	
	/**
	 *  Module Menu 
	 */
	function mosRecurseListMenu( $id, $level, &$children, $open ) {
		global $Itemid;
		global $HTTP_SERVER_VARS, $mosConfig_live_site;
	
		if (@$children[$id]) {
	
			$elements = count($children[$id]);
			$counter = 0;
	
			foreach ($children[$id] as $row) 
			{
				$counter++;
				$separator = false;
			
				switch ($row->type) {
					case 'separator':
						// do nothing
						$row->link = "seperator";
						$separator = true;
						break;

					case 'url':
						if ( eregi( 'index.php\?', $row->link ) ) {
							if ( !eregi( 'Itemid=', $row->link ) ) {
								$row->link .= '&Itemid='. $row->id;
							}
						}
						break;
	
					default:
						if ( !eregi( 'Itemid=', $row->link ) ) 
						{
							$row->link .= "&Itemid=$row->id";
						}
						break;
				}
	
//				$ajtemid=mosGetParam($_REQUEST, "Itemid", '');
				$ajtemid = $Itemid;
				
				if ( $level == 0 || $level == 1 )
				{				
					$active=0;
	
					if($children[$row->id])
					{
						foreach( $children[$row->id] as $subm)
						{
							if ( $subm->id==$ajtemid ) 
							{
								$active = 1;
							}
						}
					}
					
					$havechild = is_array($children[$row->id]);
					
					$classname = "jjNav";
					
					if ( $havechild ) {
						if ( $level == 0) {
							$classname .= "-child";
						} else {
							$classname .= "-subchild";
						}
					}
					
					
					if ( $counter == 1 ) {
						$classname .= "-first";
					} else if ( $counter == $elements ) {
						$classname .= "-last";
					}	
					
					if ( $row->id==$ajtemid || $active )
					{
						$classname .= "-active";
					}
	
					$class = "";
					if ( !empty($classname) ) {
						$class = " class=\"".$classname."\"";
					}
	
					if ( $separator ) {
						echo "<li". $class ."><span class='separator'>".$row->name."</span></li>";
					} else if ( $havechild && ($active || $row->id == $ajtemid) ) {
						echo "<li". $class .">".self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active);
						echo "\n";
						if ($level == 0) {
							echo "<ul>\n";	
							self::mosRecurseListMenu( $row->id, $level+1, $children, $open );
							echo "</ul>\n";						
						}
						echo "</li>\n";
					} else {
						echo "<li". $class .">" . self::mosGetMenuLink( $row, $level, self::$params, $open=null, $active) . "</li>";
					}
				}
			}
	
		}
	}	/* end module menu */
}



//echo $this->params->get('typeMenu');

?>
